List upcoming sends
curl --request GET \
--url https://api.b2bsignals.ai/api/v1/workflow-runs/scheduled \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/workflow-runs/scheduled"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/workflow-runs/scheduled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/workflow-runs/scheduled",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/workflow-runs/scheduled"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.b2bsignals.ai/api/v1/workflow-runs/scheduled")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/workflow-runs/scheduled")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_name": "<string>",
"person_name": "<string>",
"person_title": "<string>",
"company_name": "<string>",
"person_linkedin_url": "<string>",
"avatar_url": "<string>",
"action": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"reason": "<string>",
"step_label": "<string>",
"campaign_status": "active",
"sends_after_resume": false,
"send_mode": "auto",
"name_unresolved": false,
"reason_code": "<string>",
"reason_text": "<string>",
"projected_at": "2023-11-07T05:31:56Z",
"person_timezone": "<string>",
"message_kind": "<string>",
"send_type": "<string>",
"step_node_type": "<string>",
"step_kind": "<string>",
"sender_name": "<string>",
"message_preview": "<string>",
"note_sent": true,
"note_status_text": "<string>",
"account_gap_minutes": {}
}
]{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Campaign people
List upcoming sends
What goes out next, soonest first, and why anything is waiting.
GET
/
workflow-runs
/
scheduled
List upcoming sends
curl --request GET \
--url https://api.b2bsignals.ai/api/v1/workflow-runs/scheduled \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/workflow-runs/scheduled"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/workflow-runs/scheduled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/workflow-runs/scheduled",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/workflow-runs/scheduled"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.b2bsignals.ai/api/v1/workflow-runs/scheduled")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/workflow-runs/scheduled")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_name": "<string>",
"person_name": "<string>",
"person_title": "<string>",
"company_name": "<string>",
"person_linkedin_url": "<string>",
"avatar_url": "<string>",
"action": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"reason": "<string>",
"step_label": "<string>",
"campaign_status": "active",
"sends_after_resume": false,
"send_mode": "auto",
"name_unresolved": false,
"reason_code": "<string>",
"reason_text": "<string>",
"projected_at": "2023-11-07T05:31:56Z",
"person_timezone": "<string>",
"message_kind": "<string>",
"send_type": "<string>",
"step_node_type": "<string>",
"step_kind": "<string>",
"sender_name": "<string>",
"message_preview": "<string>",
"note_sent": true,
"note_status_text": "<string>",
"account_gap_minutes": {}
}
]{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your workspace's API key. It starts with b2b_sk_.
Query Parameters
How many rows to return in one page.
Required range:
1 <= x <= 1000Only this campaign.
Text to search for.
Maximum string length:
100Response
Success
Show child attributes
Show child attributes